## exim4 4.72

=== debian/changelog ===
exim4 (4.72-6+squeeze3) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2012-5671: Fix heap-based buffer overflow in DKIM handling.

 -- Nico Golde <nion@debian.org>  Thu, 25 Oct 2012 08:43:03 +0000

exim4 (4.72-6+squeeze2) stable-security; urgency=low

  * [83_dkimexpand.diff] Pulled from upstream git. Do not use string expansion
    on DKIM domain or identity. CVE-2011-1407.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 12 May 2011 19:05:10 +0200

exim4 (4.72-6+squeeze1) stable-security; urgency=high

  * [82_dkimpercent.diff] Pulled from upstream git. Don't pass DKIM compound
    log line as format string. CVE-2011-1764. Closes: #624670

 -- Andreas Metzler <ametzler@debian.org>  Thu, 05 May 2011 19:11:00 +0200

exim4 (4.72-6) unstable; urgency=high

  * 80_4.74_filtertesting.diff: Do not abort when setgid fails if privileges
    were dropped. This fixes a regression from 4.72-2, it was not possible to
    test filter files with exim4 -bf anymore.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 31 Jan 2011 19:05:48 +0100

exim4 (4.72-5) unstable; urgency=medium

  * 80_4.74_deliverylogging.patch (Pulled from upstream git): If a non-debug
    daemon was invoked with a non-whitelisted macro, then logs from after
    attempting delivery would be silently lost, including for successful
    delivery.  This log-loss bug was introduced as part of the security
    lockdown for fixing CVE-2010-4345. Closes: #610611

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 Jan 2011 14:33:36 +0100

exim4 (4.72-4) unstable; urgency=medium

  * In spf example use spf-tools-perl's spfquery instead of the one from
    libmail-spf-query-perl. Do not try to use unimplemented best-guess
    support. Update Suggests accordingly. Closes: #608336
  * 80_4.74_CVE-2011-0017.patch (Pulled from upstream git): Check return
    values of setgid/setuid. This is a privilege escalation vulnerability
    whereby the Exim run-time user can cause root to append content of the
    attacker's choosing to arbitrary files.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 22 Jan 2011 17:48:19 +0100

exim4 (4.72-3) unstable; urgency=low

  * [README.Debian*] Correct command for manual paniclog rotation. (Thanks,
    Jörg Sommer) Closes: #602188
  * 67_unnecessaryCopt.diff: Do not use exim's -C option in utility scripts.
    This would not work with ALT_CONFIG_PREFIX.
  * Pull changes related to fixing CVE-2010-4345 from exim 4.73 rc1.
    Closes: #606527
    + 1_cfile_norw_eximuid: Don't allow a configure file which is writeable by
      the Exim user or group.
    + 2_permcheck_configurefile: Check configure file permissions even for
      non-default files if still privileged.
    + 3_remove_ALT_CONFIG_ROOT_ONLY: Remove ALT_CONFIG_ROOT_ONLY build option,
      effectively making it always true.
    + 4_FD_CLOEXEC: Set FD_CLOEXEC on SMTP sockets after forking in the
      daemon, to ensure  that rogue child processes cannot use them.
    + 5_TRUSTED_CONFIG_LIST: Add TRUSTED_CONFIG_LIST compile option.
    + 6_nonroot_system_filter_user: If the system filter needs to be run as
      root, let that be explicitly configured.  The default is now the Exim
      run-time user.
    + 7_filter_D_option: Add a (compiletime) whitelist of acceptable values
      for the -D option.
    + 8_updatedocumentation: Update documentation to reflect the changes.
  * Build with WHITELIST_D_MACROS=OUTGOING. Post patch 7_filter_D_option exim
    will not regain root privileges (usually necessary for local delivery) if
    the -D option was used. Macro identifiers listed in WHITELIST_D_MACROS are
    exempted from this restriction. mailscanner (4.79.11-2.2) uses -DOUTGOING.
  * Build with TRUSTED_CONFIG_LIST=/etc/exim4/trusted_configs. Post patch
    3_remove_ALT_CONFIG_ROOT_ONLY exim will not re-gain root privileges
    (usually necessary for local delivery) if the -C option was used. This
    makes it impossible to start a fully functional damon with an alternate
    configuration file. /etc/exim4/trusted_configs (can) contain a list of
    filenames (one per line, full path given) to which this restriction does
    not apply.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 26 Dec 2010 15:13:08 +0100

exim4 (4.72-2) unstable; urgency=low

  [ Marc Haber ]
  * Apply patch to russian (ru) debconf template, thanks to Тим
    Алексеевский and Tim Alexeevsky. Closes: #576202
  * fix exim4-config_files man page, mention
    {host|sender}_local_deny_exceptions instead of
    local_{host|sender}_whitelist. Thanks to Fabien André in #578176
  * add !acl = acl_local_deny_exceptions to defer stanzas in SPF code.
    Thanks to Fabien André. Closes: #578176
  * Re-work config.autogenerated header to more exactly reflect
    configuration source. (mh) Closes: #593984
  
  [ Andreas Metzler ]
  * Fix getopt invocation to make update-exim4.conf.template -o work. (Thank
    you Matthew W. S. Bell) Closes: #590333
  * 40_dkimnotinpaniclog.diff pulled from upstream git. Stop logging
    non-critical DKIM errors in paniclog. Closes: #567876
  * Debconf translations:
    - Danish. Closes: #592792

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Oct 2010 13:38:26 +0200

exim4 (4.72-1) unstable; urgency=low

  * New upstream release. (Identical to the git snapshot previously 
    uploaded to experimental.)

 -- Andreas Metzler <ametzler@debian.org>  Thu, 03 Jun 2010 17:42:52 +0200

exim4 (4.72~20100529-1) experimental; urgency=low

  * Git snapshot 20100529.
    + Fix documentation for exipick -bpra. #574778
    + CVE-2010-2024: Protect against symlink attacks on MBX lockfile in /tmp.
      (Debian's default configuration does not use MBX format, but the
      exim4-daemon-heavy binary supports MBX.)
    + CVE-2010-2023 Prevent hardlink attack on mbox sticky mail directory.
      (Probably not relevant for Debian systems at all, since the mail spool
      is 2775 root:mail.)

