## exim4 4.74

=== debian/changelog ===
exim4 (4.74-1ubuntu1) natty; urgency=low

  * Merge from debian experimental.  Remaining changes: (LP: #713855)
    - debian/patches/71_exiq_grep_error_on_messages_without_size.patch:
      + Improve handling of broken messages when "exim4 -bp" (mailq)
        reports lines without size info. (Closes: #528625)
    - debian/control: Don't declare a Provides: default-mta; in Ubuntu,
      we want postfix to be the default.
    - debian/{control,rules}: Add and enable hardened build for PIE.
      (Closes: #542726)
  * Update 71_exiq_grep_error_on_messages_without_size.patch to get way
    which upstream has fixed it. Probably it can be dropped with next
    upstream release.
  * This upload fixes CVE: (LP: #708023)
    - CVE-2011-0017

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 09 Feb 2011 21:31:35 +0100

exim4 (4.74-1) experimental; urgency=low

  * 4.74 release, should build on hurd again.
  * Fix some lintian --pedantic issues: copyright-refers-to-symlink-license
    maintainer-script-without-set-e debian-control-has-unusual-field-spacing

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 Jan 2011 15:39:51 +0100

exim4 (4.74~rc2-1) experimental; urgency=low

  * In spf example use spf-tools-perl's spfquery instead of the one from
    libmail-spf-query-perl. Do not try to use unimplemented best-guess
    support. Update Suggests accordingly. Closes: #608336
  * Add headers in ACL by using the add_header modifier instead of "message".
    (This modifier has been available since 4.61.) Closes: #609308
  * New upstream version.
    + includes the fix for CVE-2011-0017
    + If a non-debug daemon was invoked with a non-whitelisted macro, then
      logs from after attempting delivery would be silently lost, including
      for successful delivery.  This log-loss bug was introduced in 4.73
      as part of the security lockdown. Closes: #610611
    + Update some patches.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Jan 2011 14:02:36 +0100

exim4 (4.73~rc1-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #697934)
    - debian/patches/71_exiq_grep_error_on_messages_without_size.patch:
      + Improve handling of broken messages when "exim4 -bp" (mailq)
        reports lines without size info.
    - debian/control: Don't declare a Provides: default-mta; in Ubuntu,
      we want postfix to be the default.
    - debian/{control,rules}: Add and enable hardened build for PIE.
      (Closes: #542726)
  * Drop B-D on libmysqlclient15-dev, resolved in Debian.

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 28 Dec 2010 22:20:17 +0100

exim4 (4.73~rc1-1) experimental; urgency=low

  * New upstream release candidate.
  * Drop included patches. 80_4.73rc1_*, 40_dkimnotinpaniclog.diff.
  * Update 31_eximmanpage.dpatch.
  * exim4 now uses INSTREAM (added in clamav 0.95) instead of STREAM when
    talking to clamav. exim4-daemon-heavy therefore Breaks: clamav-daemon
    (<< 0.95).
  * Unfuzz EDITME*diff.
  * Dependency changes:
    + Drop exim4-config's conflicts with bash (<< 2.05). This was relevant
      pre-sarge.
    + Drop exim4-daemon-* dependency on exim4-base (>> 4.71-2). This one is
      superfluous because of of the dependency on 
      exim4-base (>= ${Upstream-Version}).
    + exim4-config breaks instead of conflicts with pre-DKIM (i.e. << 4.69.1)
      exim4-daemon.
    + exim4-base breaks instead of conflicts with <<${Upstream-Version} daemon
      packages.
   * Add Vcs-Svn and Vcs-Browser fields to debian/control.
   * Build depend on libmysqlclient-dev | libmysqlclient15-dev instead of 
     libmysqlclient15-dev. libmysqlclient-dev is not a virtual package
     anymore. Closes: #590218
   * Use db_settitle unconditionally, even etch supports this. Drop unneeded
     lintian override exim4-config: settitle-requires-versioned-depends.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 27 Dec 2010 19:48:19 +0100

exim4 (4.72-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #671615)
    - debian/patches/71_exiq_grep_error_on_messages_without_size.dpatch:
      Improve handling of broken messages when "exim4 -bp" (mailq) reports
      lines without size info.
    - Don't declare a Provides: default-mta; in Ubuntu, we want postfix to be
      the default.
    - debian/control: Change build dependencies to MySQL 5.1.
    - debian/{control,rules}: add and enable hardened build for PIE
      (Closes: #542726).    

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 05 Nov 2010 21:05:47 +0100

exim4 (4.72-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable (LP: #609620). Remaining changes:
    + debian/patches/71_exiq_grep_error_on_messages_without_size.dpatch:
      Improve handling of broken messages when "exim4 -bp" (mailq) reports
      lines without size info.
    + Don't declare a Provides: default-mta; in Ubuntu, we want postfix to be
      the default.
    + debian/control: Change build dependencies to MySQL 5.1.
    + debian/{control,rules}: add and enable hardened build for PIE
      (Closes: #542726).

 -- Artur Rona <ari-tczew@tlen.pl>  Sun, 25 Jul 2010 02:00:42 +0200
