=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #
 # Uncomment this to turn on verbose mode. 
 # export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
 
 buildname=$${build:-`$(SHELL) scripts/os-type`-`$(SHELL) scripts/arch-type`}
 
@@ -207,6 +208,3 @@
 	cd $(BUILDDIR) && mv build-$(buildname) build-exim4-daemon-heavy
 
 build-indep: build-indep-stamp
-build-indep-stamp:
-	dh_testdir
-
